This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 977367 - Review Request: libjoedog - Repack of the common code base of fido and siege as shared library
Review Request: libjoedog - Repack of the common code base of fido and siege ...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Björn "besser82" Esser
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 972477 973822
  Show dependency treegraph
 
Reported: 2013-06-24 07:50 EDT by Roman Mohr
Modified: 2013-07-19 09:15 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-19 09:15:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
fedora: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Roman Mohr 2013-06-24 07:50:06 EDT
Spec URL: http://rfenkhuber.fedorapeople.org/libjoedog/libjoedog.spec
SRPM URL: http://rfenkhuber.fedorapeople.org/libjoedog/libjoedog-0.1.0-1.fc20.src.rpm

Description:
libjoedog is a library containing the common code base of siege and fido by Jeff
Fulmer. It consists mostly of convenience wrapper functions and a hash table
implementation.

Fedora Account System Username: rfenkhuber
Comment 1 Roman Mohr 2013-06-24 08:13:29 EDT
koji URL: http://koji.fedoraproject.org/koji/taskinfo?taskID=5535246

rpmlint:
rpmlint SRPMS/libjoedog-0.1.0-1.fc20.src.rpm RPMS/x86_64/libjoedog-0.1.0-1.fc20.x86_64.rpm RPMS/x86_64/libjoedog-devel-0.1.0-1.fc20.x86_64.rpm 
libjoedog.src: W: spelling-error Summary(en_US) fido -> Fido, dido, filo
libjoedog.src: W: spelling-error %description -l en_US fido -> Fido, dido, filo
libjoedog.x86_64: W: spelling-error Summary(en_US) fido -> Fido, dido, filo
libjoedog.x86_64: W: spelling-error %description -l en_US fido -> Fido, dido, filo
libjoedog.x86_64: W: shared-lib-calls-exit /usr/lib64/libjoedog.so.0.1.0 exit@GLIBC_2.2.5
libjoedog-devel.x86_64: W: no-documentation
Comment 2 Björn "besser82" Esser 2013-06-24 08:43:23 EDT
Package Review
==============

Legend:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[-]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[!]: Fully versioned dependency in subpackages, if present.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in libjoedog-
     devel

     ---> Requires: libjoedog == %{version} shoud be
          Requires: %{name}%{?_isa} = %{version}-%{release}

[x]: Package complies to the Packaging Guidelines
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "LGPL (v2 or later)", "GPL (v2 or later)", "Unknown or generated". 4
     files have unknown license. Detailed output of licensecheck in
     /home/bjoern.esser/fedora/review/977367-libjoedog/licensecheck.txt

     ---> 's!GPLv2+!& and LGPLv2+!'

[x]: License file installed when any subpackage combination is installed.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[!]: Package must own all directories that it creates.

     ---> 's!%{_includedir}/joedog/*.h!%{_includedir}/joedog!'
          and all is fine

[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[-]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 30720 bytes in 3 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

===== SHOULD items =====

Generic:
[!]: Spec use %global instead of %define.
     Note: %define current 0

     ---> 's!%define!%global!g'

[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Scriptlets must be sane, if used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: libjoedog-0.1.0-1.fc20.x86_64.rpm
          libjoedog-devel-0.1.0-1.fc20.x86_64.rpm
libjoedog.x86_64: W: spelling-error Summary(en_US) fido -> Fido, dido, filo
libjoedog.x86_64: W: spelling-error %description -l en_US fido -> Fido, dido, filo
libjoedog.x86_64: W: shared-lib-calls-exit /usr/lib64/libjoedog.so.0.1.0 exit@GLIBC_2.2.5
libjoedog-devel.x86_64: W: no-documentation
2 packages and 0 specfiles checked; 0 errors, 4 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint libjoedog-devel libjoedog
libjoedog-devel.x86_64: W: no-documentation
libjoedog.x86_64: W: spelling-error Summary(en_US) fido -> Fido, dido, filo
libjoedog.x86_64: W: spelling-error %description -l en_US fido -> Fido, dido, filo
libjoedog.x86_64: W: shared-lib-calls-exit /usr/lib64/libjoedog.so.0.1.0 exit@GLIBC_2.2.5
2 packages and 0 specfiles checked; 0 errors, 4 warnings.
# echo 'rpmlint-done:'



Requires
--------
libjoedog-devel (rpmlib, GLIBC filtered):
    libjoedog
    libjoedog.so.0()(64bit)

libjoedog (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    libc.so.6()(64bit)
    rtld(GNU_HASH)



Provides
--------
libjoedog-devel:
    libjoedog-devel
    libjoedog-devel(x86-64)

libjoedog:
    libjoedog
    libjoedog(x86-64)
    libjoedog.so.0()(64bit)



Source checksums
----------------
http://rfenkhuber.fedorapeople.org/libjoedog/libjoedog-0.1.0.tar.gz :
  CHECKSUM(SHA256) this package     : c9281cba52fac1c6671791e783322d3460cb6982b555b9af2d6537764f04efa3
  CHECKSUM(SHA256) upstream package : c9281cba52fac1c6671791e783322d3460cb6982b555b9af2d6537764f04efa3


Generated by fedora-review 0.4.1 (b2e211f) last change: 2013-04-29
Buildroot used: fedora-rawhide-x86_64
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 977367
Comment 3 Björn "besser82" Esser 2013-06-24 10:40:02 EDT
There are some more minor issues with the spec-file:

 * el5-build needs proper Group-tag for main-pkg and devel-sub

 * lib should be build hardened, because it's main target is being
   used by daemons

 * BRs can be trimmed down to just having libtool

 * %{name}-macro should be used in %file (and other places as well),
   instead of hardcoding name
Comment 5 Björn "besser82" Esser 2013-06-24 13:53:45 EDT
Source checksums
----------------
https://github.com/rmohr/libjoedog/archive/libjoedog-0.1.0.tar.gz :
  CHECKSUM(SHA256) this package     : c9281cba52fac1c6671791e783322d3460cb6982b555b9af2d6537764f04efa3
  CHECKSUM(SHA256) upstream package : 1b3e023bc5b630b12f7ac3518709d00e60cf7f9364a589ba6cb44f30b4c74b7f
diff -r also reports differences

please rebuild srpm with new tarball from Source0
Comment 7 Björn "besser82" Esser 2013-06-24 14:15:12 EDT
Package is fine, now. All issues are resolved.

#####

hardening-check looks good:

libjoedog-0.1.0-2.fc20.x86_64.rpm/usr/lib64/libjoedog.so.0.1.0:
 Position Independent Executable: no, regular shared library (ignored)
 Stack protected: yes
 Fortify Source functions: yes (some protected functions found)
	unprotected: memset
	unprotected: memmove
	unprotected: strcpy
	unprotected: memcpy
	protected: snprintf
	protected: vsprintf
	protected: printf
	protected: fprintf
	protected: sprintf
	protected: syslog
 Read-only relocations: yes
 Immediate binding: yes

#####

Package Review
==============

Legend:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[-]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package complies to the Packaging Guidelines
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "LGPL (v2 or later)", "GPL (v2 or later)", "Unknown or generated". 4
     files have unknown license. Detailed output of licensecheck in
     /home/bjoern.esser/fedora/review/977367-libjoedog/licensecheck.txt

     ---> License-tag is fine

[x]: License file installed when any subpackage combination is installed.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: If the package is under multiple licenses, the licensing breakdown must
     be documented in the spec.
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 30720 bytes in 3 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Scriptlets must be sane, if used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: libjoedog-0.1.0-2.fc20.x86_64.rpm
          libjoedog-devel-0.1.0-2.fc20.x86_64.rpm
libjoedog.x86_64: W: spelling-error Summary(en_US) fido -> Fido, dido, filo
libjoedog.x86_64: W: spelling-error %description -l en_US fido -> Fido, dido, filo
libjoedog.x86_64: W: invalid-url URL: http://www.joedog.org/ timed out
libjoedog.x86_64: W: shared-lib-calls-exit /usr/lib64/libjoedog.so.0.1.0 exit@GLIBC_2.2.5
libjoedog-devel.x86_64: W: invalid-url URL: http://www.joedog.org/ timed out
libjoedog-devel.x86_64: W: no-documentation
2 packages and 0 specfiles checked; 0 errors, 6 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint libjoedog-devel libjoedog
libjoedog-devel.x86_64: W: invalid-url URL: http://www.joedog.org/ timed out
libjoedog-devel.x86_64: W: no-documentation
libjoedog.x86_64: W: spelling-error Summary(en_US) fido -> Fido, dido, filo
libjoedog.x86_64: W: spelling-error %description -l en_US fido -> Fido, dido, filo
libjoedog.x86_64: W: shared-lib-calls-exit /usr/lib64/libjoedog.so.0.1.0 exit@GLIBC_2.2.5
2 packages and 0 specfiles checked; 0 errors, 5 warnings.
# echo 'rpmlint-done:'

---> URL is valid and gives proper response



Requires
--------
libjoedog-devel (rpmlib, GLIBC filtered):
    libjoedog(x86-64)
    libjoedog.so.0()(64bit)

libjoedog (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    libc.so.6()(64bit)
    rtld(GNU_HASH)



Provides
--------
libjoedog-devel:
    libjoedog-devel
    libjoedog-devel(x86-64)

libjoedog:
    libjoedog
    libjoedog(x86-64)
    libjoedog.so.0()(64bit)



Source checksums
----------------
https://github.com/rmohr/libjoedog/archive/0.1.0.tar.gz#/libjoedog-0.1.0.tar.gz :
  CHECKSUM(SHA256) this package     : 147a1fbcc971ae176a0f1d255cb884d35ab00acc462897ce48a679602f1db22c
  CHECKSUM(SHA256) upstream package : 147a1fbcc971ae176a0f1d255cb884d35ab00acc462897ce48a679602f1db22c


Generated by fedora-review 0.4.1 (b2e211f) last change: 2013-04-29
Buildroot used: fedora-rawhide-x86_64
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 977367

#####

APPROVED!
Comment 8 Roman Mohr 2013-06-24 14:44:47 EDT
New Package SCM Request
=======================
Package Name: libjoedog
Short Description: Repack of the common code base of fido and siege as shared library
Owners: rfenkhuber besser82
Branches: f18 f19 el5 el6
InitialCC: cdamian
Comment 9 Roman Mohr 2013-06-24 14:52:39 EDT
New Package SCM Request
=======================
Package Name: libjoedog
Short Description: Repack of the common code base of fido and siege as shared library
Owners: rfenkhuber besser82 cdamian
Branches: f18 f19 el5 el6
InitialCC:
Comment 10 Jon Ciesla 2013-06-24 15:48:44 EDT
Git done (by process-git-requests).
Comment 11 Fedora Update System 2013-06-27 15:08:34 EDT
libjoedog-0.1.1-4.fc19,fido-1.0.7-6.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/libjoedog-0.1.1-4.fc19,fido-1.0.7-6.fc19
Comment 12 Fedora Update System 2013-06-27 15:10:12 EDT
libjoedog-0.1.1-4.fc18,fido-1.0.7-6.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/libjoedog-0.1.1-4.fc18,fido-1.0.7-6.fc18
Comment 13 Fedora Update System 2013-06-27 15:12:10 EDT
libjoedog-0.1.1-4.el6,fido-1.0.7-6.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/libjoedog-0.1.1-4.el6,fido-1.0.7-6.el6
Comment 14 Fedora Update System 2013-06-27 15:13:04 EDT
libjoedog-0.1.1-4.el5,fido-1.0.7-6.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/libjoedog-0.1.1-4.el5,fido-1.0.7-6.el5
Comment 15 Fedora Update System 2013-07-07 20:52:17 EDT
libjoedog-0.1.1-4.fc19, fido-1.0.7-6.fc19 has been pushed to the Fedora 19 stable repository.
Comment 16 Fedora Update System 2013-07-08 21:32:52 EDT
libjoedog-0.1.1-4.fc18, fido-1.0.7-6.fc18 has been pushed to the Fedora 18 stable repository.
Comment 17 Fedora Update System 2013-07-13 16:12:44 EDT
libjoedog-0.1.1-4.el5, fido-1.0.7-6.el5 has been pushed to the Fedora EPEL 5 stable repository.
Comment 18 Fedora Update System 2013-07-13 16:14:47 EDT
libjoedog-0.1.1-4.el6, fido-1.0.7-6.el6 has been pushed to the Fedora EPEL 6 stable repository.

Note You need to log in before you can comment on or make changes to this bug.